apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: attic
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: attic
    server: "https://kubernetes.default.svc"
  sources:
    - repoURL: https://git.oceanbox.io/oceanbox/manifests.git
      targetRevision: HEAD
      path: values/attic/manifests
  project: aux
  syncPolicy:
    managedNamespaceMetadata:
      labels:
        component: aux
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true
      # - ServerSideApply=true
    automated:
      prune: true
      # selfHeal: false
